import request from '@/utils/request'

// 查询档案过程记录列表
export function listProcessRecord(query) {
  return request({
    url: '/health/processRecord/list',
    method: 'get',
    params: query
  })
}

// 查询档案过程记录详细
export function getProcessRecord(id) {
  return request({
    url: '/health/processRecord/' + id,
    method: 'get'
  })
}

// 新增档案过程记录
export function addProcessRecord(data) {
  return request({
    url: '/health/processRecord',
    method: 'post',
    data
  })
}

// 修改档案过程记录
export function updateProcessRecord(data) {
  return request({
    url: '/health/processRecord',
    method: 'put',
    data
  })
}

// 删除档案过程记录
export function delProcessRecord(id) {
  return request({
    url: '/health/processRecord/' + id,
    method: 'delete'
  })
}
